Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class OutOnlyAxisOperation

    java.lang.Object
      org.apache.axis2.description.AxisDescription
          org.apache.axis2.description.AxisOperation
              org.apache.axis2.description.OutOnlyAxisOperation

All Implemented Interfaces:
  DescriptionConstants, ParameterInclude, WSDLConstants

    public class OutOnlyAxisOperation

extends AxisOperation

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.wsdl.WSDLConstants
`WSDLConstants.WSDL11Constants, WSDLConstants.WSDL20_2004_Constants, WSDLConstants.WSDL20_2006Constants`

Field Summary
`protected static String` | `OUT_MESSAGE_KEY`

Fields inherited from class org.apache.axis2.description.AxisOperation
`mepURI, STYLE_DOC, STYLE_MSG, STYLE_RPC`

Fields inherited from class org.apache.axis2.description.AxisDescription
`engagedModules, parameterObservers, parent`

Fields inherited from interface org.apache.axis2.wsdl.WSDLConstants
`HTTP_HEADER, INPUT_PART_QNAME_SUFFIX, MEP_CONSTANT_IN_ONLY, MEP_CONSTANT_IN_OPTIONAL_OUT, MEP_CONSTANT_IN_OUT, MEP_CONSTANT_INVALID, MEP_CONSTANT_OUT_IN, MEP_CONSTANT_OUT_ONLY, MEP_CONSTANT_OUT_OPTIONAL_IN, MEP_CONSTANT_ROBUST_IN_ONLY, MEP_CONSTANT_ROBUST_OUT_ONLY, MESSAGE_LABEL_FAULT_VALUE, MESSAGE_LABEL_IN, MESSAGE_LABEL_IN_VALUE, MESSAGE_LABEL_OUT, MESSAGE_LABEL_OUT_VALUE, OUTPUT_PART_QNAME_SUFFIX, SOAP_HEADER, WSDL_1_1, WSDL_1_1_STYLE, WSDL_2_0, WSDL_20_DESCRIPTION, WSDL_4_J_DEFINITION, WSDL_MESSAGE_DIRECTION_IN, WSDL_MESSAGE_DIRECTION_OUT, WSDL_MESSAGE_IN_MESSAGE, WSDL_MESSAGE_OUT_MESSAGE, WSDL_USE_ENCODED, WSDL_USE_LITERAL, WSDL1_1_NAMESPACE, WSDL2_0_NAMESPACE`

Fields inherited from interface org.apache.axis2.description.DescriptionConstants
`CLASSLOADER_KEY, CONTEXTPATH_KEY, EXECUTION_CHAIN_KEY, EXECUTION_FAULT_CHAIN_KEY, EXECUTION_OUT_CHAIN_KEY, IN_FAULTFLOW_KEY, INFLOW_KEY, MESSAGE_RECEIVER_KEY, MODULEREF_KEY, OPERATION_KEY, OUT_FAULTFLOW_KEY, OUTFLOW_KEY, PARAMETER_KEY, PHASES_KEY, SERVICE_CLASS_NAME, STYLE_KEY`

Constructor Summary
`OutOnlyAxisOperation()`
`OutOnlyAxisOperation(QName name)`

Method Summary
`void` | `addFaultMessageContext(MessageContext msgContext, OperationContext opContext)`
`void` | `addMessage(AxisMessage message, String label)`
`void` | `addMessageContext(MessageContext msgContext, OperationContext opContext)` Adds a message context into an operation context.
`OperationClient` | `createClient(ServiceContext sc, Options options)` Returns a MEP client for an Out-only operation.
`AxisMessage` | `getMessage(String label)`
`ArrayList` | `getPhasesInFaultFlow()`
`ArrayList` | `getPhasesOutFaultFlow()`
`ArrayList` | `getPhasesOutFlow()`
`ArrayList` | `getRemainingPhasesInFlow()`
`void` | `setPhasesInFaultFlow(ArrayList list)`
`void` | `setPhasesOutFaultFlow(ArrayList list)`
`void` | `setPhasesOutFlow(ArrayList list)`
`void` | `setRemainingPhasesInFlow(ArrayList list)`

Methods inherited from class org.apache.axis2.description.AxisOperation
`addFaultAction, addModule, addModuleConfig, findForExistingOperationContext, findOperationContext, getAxisService, getAxisSpecificMEPConstant, getFaultAction, getFaultAction, getFaultActionNames, getFaultMessages, getInputAction, getKey, getMessageExchangePattern, getMessageReceiver, getMessages, getModuleConfig, getModuleRefs, getName, getOutputAction, getSoapAction, getStyle, getWSAMappingList, isControlOperation, isParameterLocked, onDisengage, onEngage, registerMessageContext, registerOperationContext, removeFaultAction, removeFromEngagedModuleList, setControlOperation, setFaultMessages, setMessageExchangePattern, setMessageReceiver, setName, setOutputAction, setSoapAction, setStyle, setWsamappingList`

Methods inherited from class org.apache.axis2.description.AxisDescription
`addChild, addChild, addParameter, addParameter, addParameterObserver, applyPolicy, applyPolicy, deserializeParameters, disengageModule, engageModule, engageModule, getAxisConfiguration, getChild, getChildren, getDocumentation, getDocumentationNode, getEngagedModules, getParameter, getParameters, getParameterValue, getParent, getPolicyInclude, getPolicySubject, isEngaged, isEngaged, isParameterTrue, removeChild, removeParameter, removeParameterObserver, setDocumentation, setDocumentation, setParent, setPolicyInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OUT_MESSAGE_KEY

    protected static final String OUT_MESSAGE_KEY

See Also:
  Constant Field Values

Constructor Detail

### OutOnlyAxisOperation

    public OutOnlyAxisOperation()

### OutOnlyAxisOperation

    public OutOnlyAxisOperation(QName name)

Method Detail

### addMessage

    public void addMessage(AxisMessage message,
                           String label)

  Specified by:
    `addMessage` in class `AxisOperation`

### addMessageContext

    public void addMessageContext(MessageContext msgContext,
                                  OperationContext opContext)
                           throws AxisFault

  Description copied from class: `AxisOperation`
  Adds a message context into an operation context. Depending on MEPs, this method has to be overridden. Depending on the MEP operation description know how to fill the message context map in operationContext. As an example, if the MEP is IN-OUT then depending on messagable operation description should know how to keep them in correct locations.

  Specified by:
    `addMessageContext` in class `AxisOperation`
  Parameters:
    `msgContext` - `MessageContext`
    `opContext` - `OperationContext`
  Throws:
    `AxisFault` - `AxisFault`

### addFaultMessageContext

    public void addFaultMessageContext(MessageContext msgContext,
                                       OperationContext opContext)
                                throws AxisFault

  Specified by:
    `addFaultMessageContext` in class `AxisOperation`
  Throws:
    `AxisFault`

### getMessage

    public AxisMessage getMessage(String label)

  Specified by:
    `getMessage` in class `AxisOperation`

### getPhasesInFaultFlow

    public ArrayList getPhasesInFaultFlow()

  Specified by:
    `getPhasesInFaultFlow` in class `AxisOperation`

### getPhasesOutFaultFlow

    public ArrayList getPhasesOutFaultFlow()

  Specified by:
    `getPhasesOutFaultFlow` in class `AxisOperation`

### getPhasesOutFlow

    public ArrayList getPhasesOutFlow()

  Specified by:
    `getPhasesOutFlow` in class `AxisOperation`

### getRemainingPhasesInFlow

    public ArrayList getRemainingPhasesInFlow()

  Specified by:
    `getRemainingPhasesInFlow` in class `AxisOperation`

### setPhasesInFaultFlow

    public void setPhasesInFaultFlow(ArrayList list)

  Specified by:
    `setPhasesInFaultFlow` in class `AxisOperation`

### setPhasesOutFaultFlow

    public void setPhasesOutFaultFlow(ArrayList list)

  Specified by:
    `setPhasesOutFaultFlow` in class `AxisOperation`

### setPhasesOutFlow

    public void setPhasesOutFlow(ArrayList list)

  Specified by:
    `setPhasesOutFlow` in class `AxisOperation`

### setRemainingPhasesInFlow

    public void setRemainingPhasesInFlow(ArrayList list)

  Specified by:
    `setRemainingPhasesInFlow` in class `AxisOperation`

### createClient

    public OperationClient createClient(ServiceContext sc,
                                        Options options)

  Returns a MEP client for an Out-only operation. This client can be used to interact with a server which is offering an In-only operation. To use the client, you must call addMessageContext() with a message context and then call execute() to execute the client. Note that the execute method's block parameter is ignored by this client and also the setMessageReceiver method cannot be used.

  Specified by:
    `createClient` in class `AxisOperation`
  Parameters:
    `sc` - The service context for this client to live within. Cannot be null.
    `options` - Options to use as defaults for this client. If any options are set specifically on the client then those override options here.
  Returns:
    an OperationClient set up appropriately for this operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.